#ifndef __XFBIB_BIBTEX_H
#define __XFBIB_BIBTEX_H

#include <glib-object.h>
#include "xfbib-bibtex-entry.h"

#define XFBIB_TYPE_BIBTEX             (xfbib_bibtex_get_type())
#define XFBIB_BIBTEX(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), XFBIB_TYPE_BIBTEX, XfbibBibtex))
#define XFBIB_IS_BIBTEX(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), XFBIB_TYPE_BIBTEX))
#define XFBIB_BIBTEX_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), XFBIB_TYPE_BIBTEX, XfbibBibtexClass))
#define XFBIB_IS_BIBTEX_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), XFBIB_TYPE_BIBTEX))
#define XFBIB_BIBTEX_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), XFBIB_TYPE_BIBTEX, XfbibBibtexClass))

G_BEGIN_DECLS


enum XFBIB_BIBTEX_TYPE {
	TYPE_ENTRY,
	TYPE_STRING,
};

typedef struct _XfbibBibtex         XfbibBibtex;

GType xfbib_bibtex_get_type() G_GNUC_CONST;

XfbibBibtex *xfbib_bibtex_new();
gboolean xfbib_bibtex_parse(XfbibBibtex *, const gchar *);
void xfbib_bibtex_foreach(XfbibBibtex *, GFunc, gpointer);
gint xfbib_bibtex_get_n(XfbibBibtex *, enum XFBIB_BIBTEX_TYPE);
GObject *xfbib_bibtex_get_nth(XfbibBibtex *, gint, enum XFBIB_BIBTEX_TYPE);
gint xfbib_bibtex_get_position(XfbibBibtex *, GObject *);
GObject *xfbib_bibtex_get_next(XfbibBibtex *, GObject *);
void xfbib_bibtex_remove(XfbibBibtex *, GObject *);
void xfbib_bibtex_remove_all(XfbibBibtex *);
void xfbib_bibtex_add(XfbibBibtex *, GObject *);
gint xfbib_bibtex_replace(XfbibBibtex *, GObject *, GObject *);
GObject *xfbib_bibtex_find(XfbibBibtex *, GCompareFunc, gconstpointer);

G_END_DECLS

#endif //__XFBIB_BIBTEX_H

