/* 
 * Copyright (c) 2008 Jesper Karlsson & David Gustafsson
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __XFBIB_STRING_TREE_VIEW_H
#define __XFBIB_STRING_TREE_VIEW_H

#include <gtk/gtk.h>

#define XFBIB_TYPE_STRING_TREE_VIEW             (xfbib_string_tree_view_get_type())
#define XFBIB_STRING_TREE_VIEW(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), XFBIB_TYPE_STRING_TREE_VIEW, XfbibStringTreeView))
#define XFBIB_IS_STRING_TREE_VIEW(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), XFBIB_TYPE_STRING_TREE_VIEW))
#define XFBIB_STRING_TREE_VIEW_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), XFBIB_TYPE_STRING_TREE_VIEW, XfbibStringTreeViewClass))
#define XFBIB_IS_STRING_TREE_VIEW_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), XFBIB_TYPE_STRING_TREE_VIEW))
#define XFBIB_STRING_TREE_VIEW_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), XFBIB_TYPE_STRING_TREE_VIEW, XfbibStringTreeViewClass))

G_BEGIN_DECLS

typedef struct _XfbibStringTreeView         XfbibStringTreeView;

GType xfbib_string_tree_view_get_type() G_GNUC_CONST;

GtkWidget *xfbib_string_tree_view_new(void);

G_END_DECLS

#endif //__XFBIB_STRING_TREE_VIEW_H

