/* 
 * Copyright (c) 2008 Jesper Karlsson & David Gustafsson
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __XFBIB_STRING_H
#define __XFBIB_STRING_H

#include <glib-object.h>

#define XFBIB_TYPE_STRING             (xfbib_string_get_type())
#define XFBIB_STRING(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), XFBIB_TYPE_STRING, XfbibString))
#define XFBIB_IS_STRING(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), XFBIB_TYPE_STRING))
#define XFBIB_STRING_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), XFBIB_TYPE_STRING, XfbibStringClass))
#define XFBIB_IS_STRING_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), XFBIB_TYPE_STRING))
#define XFBIB_STRING_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), XFBIB_TYPE_STRING, XfbibStringClass))

G_BEGIN_DECLS

typedef struct _XfbibString         XfbibString;

GType xfbib_string_get_type() G_GNUC_CONST;

XfbibString *xfbib_string_new();
gboolean xfbib_string_parse(XfbibString *, const gchar *);
gchar *xfbib_string_get(XfbibString *);
void xfbib_string_set(XfbibString *, const gchar *);
gchar xfbib_string_get_separator(XfbibString *);
gchar *xfbib_string_parse_commands(gchar *);

G_END_DECLS

#endif //__XFBIB_STRING_H

